> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscribe to Status Page



## OpenAPI

````yaml POST /api/v1/status-pages/{id}/subscriptions
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/status-pages/{id}/subscriptions:
    post:
      tags:
        - subscriptions
      summary: Subscribe to status page notifications
      operationId: PublicSubscriptionController_createSubscription_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSubscriptionDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateSubscriptionDto:
      type: object
      properties:
        email:
          type: string
          description: Email address for notifications
        slackWebhookUrl:
          type: string
          description: Slack webhook URL
        subscriptionType:
          type: string
          enum:
            - all
            - specific
        monitorIds:
          description: Monitor IDs for specific subscriptions
          type: array
          items:
            type: string
      required:
        - subscriptionType

````